# QVM: Quaternions, Vectors, Matrices

### operator==(vec,vec)

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_vec<A>::value && is_vec<B>::value &&
            //  vec_traits<A>::dim==vec_traits<B>::dim
            template <class A,class B>
            bool operator==( A const & a, B const & b );
        }
    }

#### Returns:

true if each element of a compares equal to its corresponding element of b, false otherwise.

See also: boost/qvm/vec_operations.hpp | cmp(vec,vec) | Known Quirks and Issues | operator!=(vec,vec)